* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Segoe UI", Tahoma;
    height: 100vh;
    background: #0f2027;
    overflow: hidden;
}

/* CONTENEDOR */
.login-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(252, 251, 251, 0.08);
    padding: 40px;
    border-radius: 15px;
    backdrop-filter: blur(10px);
    width: 360px;
}

/* LOGO */
.logo {
    text-align: center;
    margin-bottom: 35px; /* Ajustado para mejor balance */
}

.logo-img {
    width: 100%;      /* Asegura que no exceda el contenedor */
    height: auto;
    margin-bottom: 10px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.logo p {
    color: #ccc;
    font-size: 14px;
    margin-top: 5px;
    letter-spacing: 1px; /* Agregué un poco de espacio entre letras para que se vea más profesional */
}

/* INPUTS */
.input-group {
    position: relative;
    margin-bottom: 20px;
}

.input-group input,
.input-group select {
    width: 100%;
    padding: 10px;
    background: transparent;
    border: 1px solid #aaa;
    color: #aaa;
    border-radius: 5px;
}

.input-group label {
    position: absolute;
    top: -10px;
    left: 10px;
    background: #0f2027;
    color: #aaa;
    padding: 0 5px;
    font-size: 12px;
}

/* BOTÓN */
button {
    width: 100%;
    padding: 10px;
    background: linear-gradient(45deg, #00c6ff, #0072ff);
    border: none;
    border-radius: 5px;
    color: white;
    font-size: 16px;
    cursor: pointer;
}

button:hover {
    opacity: 0.9;
}
